ruby

Installs the Ruby language runtime and popular packages

Counsyl, Inc.

counsyl

12,918 downloads

4,087 latest version

4.5 quality score

Version information

  • 0.9.14 (latest)
  • 0.9.13
  • 0.9.12
  • 0.9.11
  • 0.9.10
  • 0.9.9
  • 0.9.8
released Sep 24th 2018
This version is compatible with:
  • CentOS, Debian, OpenBSD, RedHat, Solaris, Ubuntu

Start using this module

Documentation

counsyl/ruby — version 0.9.14 Sep 24th 2018

ruby

This Puppet module installs and configures the Ruby language runtime and popular Ruby packages.

  • ruby: This class installs the default packaged Ruby interpreter for the platform.
  • ruby::devel: Installs the default Ruby development headers for the platform.
  • ruby::gemrc: Configures the system's global gem environment configuration file including gem mirrors.
  • ruby::openbsd: Creates symbolic links for a better experience on OpenBSD.
  • ruby::passenger: Installs the open source version of Phusion Passenger, commonly used to deploy Ruby web applications.
  • ruby::rack: Installs Rack, the Ruby Webserver Interface.
  • ruby::rake: Installs RAKE, a simple Ruby build program analogous to make.

License

Apache License, Version 2.0

Contact

Justin Bronn justin@counsyl.com

Support

Please log tickets and issues at https://github.com/counsyl/puppet-ruby